%define name	foremost
%define version 1.2
%define release %mkrel 1

Summary:	Recover files based on their headers and footers
Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
Group:		File tools
License:	Public Domain
URL:		http://foremost.sourceforge.net/
Source0:	http://foremost.sourceforge.net/pkg/%{name}-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
Foremost is a Linux program to recover files based on their headers and
footers. Foremost can work on image files, such as those generated by
dd, Safeback, Encase, etc, or directly on a drive. The headers and
footers are specified by a configuration file, so you can pick and
choose which headers you want to look for. 

%prep
%setup -q
find . -type d | xargs %{__chmod} 755
find . -type f | xargs %{__chmod} 644
%{__perl} -pi -e 's/-O2/%{optflags}/g' Makefile
%{__perl} -pi -e 's|/usr/local/etc|%{_sysconfdir}|' config.c

%build
%make

%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_bindir}
%{__install} -m 755 %{name} %{buildroot}%{_bindir}
%{__mkdir_p} %{buildroot}%{_mandir}/man1
%{__install} -m 644 %{name}.1 %{buildroot}%{_mandir}/man1
%{__mkdir_p} %{buildroot}%{_sysconfdir}
%{__install} -m 644 %{name}.conf %{buildroot}%{_sysconfdir}

%clean
%{__rm} -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc CHANGES README
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%config(noreplace) %{_sysconfdir}/%{name}.conf

%changelog
* Tue May 16 2006 Emmanuel Andry <eandry@mandriva.org> 0:1.2-1mdk
- 1.2

* Mon Feb 13 2006 David Walluck <walluck@mandriva.org> 0:1.1-2mdk
- fix config file location

* Mon Feb 13 2006 David Walluck <walluck@mandriva.org> 0:1.1-1mdk
- 1.1

* Fri Mar 18 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.69-2mdk
- rebuild

* Sun Feb 29 2004 David Walluck <walluck@linux-mandrake.com> 0:0.69-1mdk
- 0.69

* Mon May 12 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.64-1mdk
- initial cooker contrib
